PostgreSQL 7.1.3 Documentation
Prev |  | Next

# CLOSE

## Name

CLOSE -- Close a cursor

## Synopsis

    CLOSE cursor

### Inputs

`cursor`

  The name of an open cursor to close.

### Outputs

`CLOSE`

  Message returned if the cursor is successfully closed.

`NOTICE PerformPortalClose: portal "`cursor`" not found`

  This warning is given if `cursor` is not declared or has already been closed.

## Description

CLOSE frees the resources associated with an open cursor. After the cursor is closed, no subsequent operations are allowed on it. A cursor should be closed when it is no longer needed.

An implicit close is executed for every open cursor when a transaction is terminated by COMMIT or ROLLBACK.

### Notes

Postgres does not have an explicit OPEN cursor statement; a cursor is considered open when it is declared. Use the DECLARE statement to declare a cursor.

## Usage

Close the cursor liahona:

    CLOSE liahona;

## Compatibility

### SQL92

CLOSE is fully compatible with SQL92.

Prev | Home | Next
CHECKPOINT | Up | CLUSTER